# Macro defintions used by the cdbs makefiles

#-- Tne following macros are system and configuration dependent------

# Src directory layout
SOURCES = cdbslib certify checkload expload getobsmode getref loadfile \
loopfits mkcomptab mkload query syndemo uniqname
TASKS = certify checkload expload getobsmode getref loopfits mkcomptab \
mkload query syndemo uniqname
LIBRARIES = cdbslib loadfile

# Directory and url locations
CDBSDIR	= /data/cdbs1/
SDAS_BIN = /usr/ra/stsdas/bin/
TABLES_BIN = /usr/ra/tables/bin/

USECGI = yes
CGIDIR = /project/ra3/httpd/cgi-bin/bps/
CGIURL = http://ra.stsci.edu/cgi-bin/bps/

# Name of compiler and compilation flags
CC = gcc
CFLAGS = -g -Wall $(INC)
LFLAGS = -g -t
INC = -I../../include -I$(STSDASLIB) -I$(OSTDB)/include

#--End of system dependent macros-------------------------------------

# Location and name of executable and libraries

BIN = ../../bin
LIBDIR = ../../lib

#Database macros
OSTDB=/usr/local/ostdb/ostdb1_8
SYBASE=/usr/local/syb_11

# SDAS and IRAF library locations

STSDASLIB = /usr/ra/stsdas/lib/
TABLESLIB = /usr/ra/tables/lib/
IRAFLIB = /usr/stsci/irafx/lib/
IRAFHLIB = /usr/stsci/irafx/unix/hlib/

# Library definitions

CDBSLIBS = $(LIBDIR)/cdbslib.a $(LIBDIR)/loadfile.a

IRAFLIBS = $(STSDASLIB)libcvos.a \
	   $(STSDASLIB)libsynphot.a \
	   $(TABLESLIB)libstxtools.a \
	   $(TABLESLIB)libtbtables.a \
	   $(IRAFLIB)libex.a \
	   $(IRAFLIB)libsys.a \
	   $(IRAFLIB)libvops.a \
	   $(IRAFHLIB)libos.a

STDBLIBS = $(OSTDB)/lib/libostdb_sparc_solaris_c.a \
	   $(SYBASE)/lib/libsybdb.a

SUNLIBS = -lF77 -lM77 -lsunmath -ldl -lelf -lnsl -lm -lsocket


